/*******************************************************************************
* Title: Globals.h                                                                      
* Version: 1.0                                                                 
* Author: Jeff Nybo                                                            
* Date: November 10, 2013                                                                       
*                                                                              
* Description:                                                                 
* This file contains various global variables that are used throughout the project.                                                                             
*******************************************************************************/

#ifndef GLOBALS_H
#define GLOBALS_H

/*************************************************
*               Global Variables                 *
*************************************************/
UINT8 seq[SEQ_AMOUNT];  //SEQ_AMOUNT is set to 50 by default
                
/***************************************
* The animations that use these seq[n] *
****************************************
seq[0]  - Exploding_Circle()
seq[1]  - Cycle_Colors()
seq[2]  - Cycle_Rings()
seq[3]  - Circle_Out()
seq[4]  - Fade_Cups()
seq[5]  - Corner_Circles()
seq[6]  - Draw_Sine()
seq[7]  - VU_Meter_Bar()
seq[8]  - Ripple_Out()
seq[9]  - Pyramid_Chase()
seq[10] - Color_Throb()
seq[11] - End_Blast()
seq[12] - Cycle_Grid_Animations()
seq[13] - Cycle_Pod_Animations()
seq[14] - Cycle_LED_Ring_Animations()
seq[15] - Cycle_Combined Animations()
seq[16] - Checker()
seq[17] - Ball_Washer_Jam_Error()
seq[18] - Crossfade_Rings()
seq[19] - Ring_Chase()
seq[20] - Box_Grid_In()
seq[21] - Draw_Double_Sine()
seq[22] - 
seq[23] -
seq[24] - Our_Test_Animation()
seq[25] - 
seq[26] -
.
.
.
seq[49] - 
***************************************/

RGB PODn[20];
LED_RING ring_diff[16];
RGB_FADE RGB_diff[20];

T16_FLAG FLAG1;
/***************************************
*         FLAG1 designated bits        *
****************************************
0  - WAIT_XLAT (TLC5940_Setup.h)
1  - TLC_UPDATE (TLC5940_Setup.h)
2  - GRID_UPDATE (LED_Graphics.h)
3  - BW_ACTIVE (Miscellaneous.h)
4  - SCROLL_ACTIVE (LED_Graphics.h)
5  - SCROLL_FINISHED (LED_Graphics.h)
6  - DIAGNOSE_ERROR (Miscellaneous.h)
7  - BW1_JAM (Miscellaneous.h)
8  - BW2_JAM (Miscellaneous.h)
9  - RF_ACTIVE (RF_Control.h)
10 -
11 - 
12 - 
13 - 
14 - 
15 -
***************************************/
char global_string[64];

UINT8 scroll_delay = 7;
UINT8 grid_brightness = 0;

UINT8 VU_On = 0;
UINT8 str_place;
UINT8 ltr_place;
UINT8 error_code;
UINT8 str_length;
UINT8 RGB_data[120];
UINT8 RGB_data2[120];
UINT8 start[5] = {5,10,14,19,23};

UINT16 IR_cal[24];
UINT16 LEDring[16];
UINT16 IR_value[24];
UINT16 LED_data[32];
UINT16 ring_update;
UINT16 letter_buffer[6];

UINT32 pod_update;
UINT32 count32 = 0;
UINT32 sensor_bits = 0;

RGB COLOR[12] = {
                       {0,0,0},            //Black
                       {4095,0,0},         //Red
                       {0,4095,0},         //Green
                       {0,0,4095},         //Blue
                       {4095,800,0},       //Orange
                       {4095,0,4095},      //Pink
                       {300,4095,3700},    //Cyan
                       {4095,0,4095},      //Magenta
                       {4095,4095,0},      //Yellow
                       {2500,0,4095},      //Violet
                       {4095,4095,4095}    //White    
                      }; 
                                 
#endif
